Subject: bug#41754: closed (Re: bug#41754: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jun 2020 14:08:02 +0000

Your bug report

#41754: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41754: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41754
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41754: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.
From: Andrea Corallo <[email-masked]>
To: Nicolas Bértolo <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jun 2020 14:07:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Bértolo <[email-masked]> writes:

> Hi Andrea,
>
> I can confirm that the issue with lambdas is fixed.

Good closing this.

I pushed the `package--delete-directory' fix.  Please post the patches
you are submitting in the thread you have discussed the related issue so
they can be effectively reviewed by people you have discussed with.

  Andrea
 
-- 
[email-masked]

Subject: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.
From: Nicolas Bértolo <[email-masked]>
To: [email-masked]
Date: Sun, 7 Jun 2020 16:08:19 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andrea,

I have seen that a lambda may be loaded many times when loading a dump. Is this
expected? I don't know enough to tell. If it is, the attached patch prevents an
assertion failure when building with --enable-checking.

Nico.